Subject: Re: [PATCH 12/30] net: wireless: cisco: airo: Fix a myriad of coding style issues

From: Ondrej Zary <[email-masked]>
Date: Thu, 27 Aug 2020 22:23:57 +0200

On Thursday 27 August 2020 09:49:12 Kalle Valo wrote:
> Ondrej Zary <[email-masked]> writes:
> 
> > On Monday 17 August 2020 20:27:06 Jesse Brandeburg wrote:
> >> On Mon, 17 Aug 2020 16:27:01 +0300
> >> Kalle Valo <[email-masked]> wrote:
> >> 
> >> > I was surprised to see that someone was using this driver in 2015, so
> >> > I'm not sure anymore what to do. Of course we could still just remove
> >> > it and later revert if someone steps up and claims the driver is still
> >> > usable. Hmm. Does anyone any users of this driver?
> >> 
> >> What about moving the driver over into staging, which is generally the
> >> way I understood to move a driver slowly out of the kernel?
> >
> > Please don't remove random drivers.
> 
> We don't want to waste time on obsolete drivers and instead prefer to
> use our time on more productive tasks. For us wireless maintainers it's
> really hard to know if old drivers are still in use or if they are just
> broken.
> 
> > I still have the Aironet PCMCIA card and can test the driver.
> 
> Great. Do you know if the airo driver still works with recent kernels?

Yes, it does.

$ uname -a
Linux test 5.7.0-0.bpo.2-686 #1 SMP Debian 5.7.10-1~bpo10+1 (2020-07-30) i686 GNU/Linux

# dmesg | grep airo
[   22.002273] airo(): Probing for PCI adapters
[   22.002422] airo(): Finished probing for PCI adapters
[   23.796853] airo(): cmd:111 status:7f11 rsp0:2 rsp1:0 rsp2:0
[   23.796879] airo(): Doing fast bap_reads
[   24.021208] airo(eth1): Firmware version 5.60.22
[   24.021238] airo(eth1): WPA supported.
[   24.021251] airo(eth1): MAC enabled xx:xx:xx:xx:xx:xx
[   24.062695] airo_cs 0.0 eth35: renamed from eth1
[   50.308100] airo(eth35): Bad MAC enable reason=eaac, rid=e, offset=0
[   50.332761] airo(eth35): Bad MAC enable reason=eaac, rid=e, offset=0

# wpa_supplicant -Dwext -ieth35 -c/etc/wpa_supplicant/wpa_supplicant.conf &
Successfully initialized wpa_supplicant
rfkill: Cannot get wiphy information
ioctl[SIOCSIWENCODEEXT]: Invalid argument
ioctl[SIOCSIWENCODEEXT]: Invalid argument
eth35: Trying to associate with xx:xx:xx:xx:xx:xx (SSID='MSI' freq=2462 MHz)
Failed to add supported operating classes IE
ioctl[SIOCSIWGENIE]: Operation not supported
eth35: Association request to the driver failed
eth35: Associated with xx:xx:xx:xx:xx:xx
eth35: CTRL-EVENT-CONNECTED - Connection to xx:xx:xx:xx:xx:xx completed [id=0 id_str=]

# dhclient -d eth35
Internet Systems Consortium DHCP Client 4.4.1
Copyright 2004-2018 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/eth35/yy:yy:yy:yy:yy:yy
Sending on   LPF/eth35/yy:yy:yy:yy:yy:yy
Sending on   Socket/fallback
DHCPDISCOVER on eth35 to 255.255.255.255 port 67 interval 6
DHCPOFFER of 192.168.1.192 from 192.168.1.254
DHCPREQUEST for 192.168.1.192 on eth35 to 255.255.255.255 port 67
DHCPACK of 192.168.1.192 from 192.168.1.254
bound to 192.168.1.192 -- renewal in 40 seconds.

-- 
Ondrej Zary